-- File name   : TDRA.MS
-- Title       : TD/RA tools
-- Category    : not implemented yet
-- Environment : 3ds max 3&4, GMAX
-- Description : toolset for TD/RA SHP building
-- Reference   :
-- Copyright (c) 2002 by Flyby, 2008 by raminator
-- VERSION		: 0.04

rollout SETUPTOOLS "TD/RA SHP TOOLS" 
(
group "Ground Plane"
	(
	button do_shdwmatte " Create Ground Plane" width:150 height:25 align:#centre
	)
group "Camera Tools"
	(
	radiobuttons S_W_N_E labels:#("South","North","West","East") columns:4 align:#centre height:20
	button do_cam " Create Camera " width:150 height:25 align:#centre
		)
group "Light Tools"
	(
	button do_shadow_lite " Create shadow light " width:150 height:25 align:#centre
	)

on do_shadow_lite pressed do
(
		litepos1 = case S_W_N_E.state of
			(
				1:[-81.5,81.5,800] 
				2:[81.5,-81.5,800]
				3:[81.5,81.5,800]
				4:[-81.5,-81.5,800]
			)
		litepos2 = case S_W_N_E.state of
			(
				1:[0,-131.5,141.5] 
				2:[0,131.5,141.5]
				3:[-131.5,0,141.5]
				4:[131.5,0,141.5]
			)
targetSpot name:"ShadowCaster" raytracedShadows:true castShadows:on target:(Targetobject transform:(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,10,0])) pos:litepos1 rgb:(color 255 255 255) shadowColor:(color 0 0 0) multiplier:.8 contrast:50 softenDiffuseEdge:50 nearAttenStart:0 nearAttenEnd:40 farAttenStart:80 farAttenEnd:200 decayRadius:40 atmosOpacity:100 atmosColorAmt:100 shadowMultiplier:1 hotspot:100 falloff:110 aspect:1
targetSpot name:"LightCaster" raytracedShadows:false castShadows:off target:(Targetobject transform:(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,10,0])) pos:litepos2 rgb:(color 255 255 255) shadowColor:(color 0 0 0) multiplier:.6 contrast:50 softenDiffuseEdge:50 nearAttenStart:0 nearAttenEnd:40 farAttenStart:80 farAttenEnd:200 decayRadius:40 atmosOpacity:100 atmosColorAmt:100 shadowMultiplier:1 hotspot:100 falloff:110 aspect:1 excludeList:#($Shadowplane) 
)

on do_shdwmatte pressed do
(
try (delete $ShadowPlane) catch ()
plane length:500 width:500 name:"ShadowPlane" gbufferChannel:13 setBackGround [0,0,255]
$ShadowPlane.material= matteShadow() 
$ShadowPlane.material.color = color  0 255 0
$ShadowPlane.material.receiveShadows = true
)
on do_cam pressed do
	(
		try
		(	
			delete $lights
			delete $camera01
		)
		catch()

		viewport.ResetAllViews ()
		camd= case S_W_N_E.state of
			(
				1:[0,-131.5,141.5]
				2:[0,131.5,141.5]
				3:[-131.5,0,141.5]
				4:[131.5,0,141.5]
			)

		cam=Targetcamera  pos:camd isSelected:on target:(Targetobject transform:(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,10,0]))
		cam.fov = 65.47
		cam.orthoProjection=true
		viewport.activeViewport = 4
		viewport.setCamera cam
	)

 on camdist changed val do
	(
		try
		(
			camd= case S_W_N_E.state of
			(
				1:[0,-131.5,141.5]
				2:[0,131.5,141.5]
				3:[131.5,0,141.5]
				4:[131.5,0,141.5]
			)
			$Camera01.pos = camd
		)
		catch (messageBox "Life would be much better if you first make a CAMERA, don't you agree ...?")
	)
)

rollout WHO_ "About" 
(
	label l1 "TD/RA SHP TOOLS"
	label l2 "Version 0.01"
	label l3 "by raminator"
)

if FloaterExampleFloater != undefined do
				(
				closerolloutfloater FloaterExampleFloater
				)		
FloaterExampleFloater = newRolloutFloater "TD/RA TOOLSET" 250 314 
addRollout SETUPTOOLS FloaterExampleFloater
addRollout WHO_ FloaterExampleFloater


